
ChiliProject - Bug # 468: Lost WIKI history timestamps during 2.0.0rc1 upgrade.

Status: Closed Priority: Normal
Author: Artem Naluzhnyy Category: Journals / History
Created: 2011-06-11 Assignee:
Updated: 2011-06-18 Due date:
Remote issue URL:
Affected version:
Description: During the DB migration to 2.0.0rc1 all timestamps related to WIKI revisions were lost (replaced with the 

upgrade process timestamp).

This is probably because `wiki_contents`.`updated_on` was not copied to `journals`.`created_at`:

<pre>
--- 20100804112053_merge_wiki_versions_with_journals.rb.orig    2011-06-10 23:36:19.000000000 +0300
+++ 20100804112053_merge_wiki_versions_with_journals.rb 2011-06-11 21:59:24.000000000 +0300
@@ -20,7 +20,7 @@

     WikiContent::Version.find_by_sql("SELECT * FROM wiki_content_versions").each do |wv|
       journal = WikiContentJournal.create!(:journaled_id => wv.wiki_content_id, :user_id => wv.author_id,
-        :notes => wv.comments, :activity_type => "wiki_edits")
+        :notes => wv.comments, :created_at => wv.updated_on, :activity_type => "wiki_edits")
       changes = {}
       changes["compression"] = wv.compression
       changes["data"] = wv.data
</pre>

Associated revisions
2011-06-16 09:01 pm - Felix SchÃ¤fer 
Don't loose the time of the wiki_edits. #468

Contributed by Artem Naluzhnyy.

History
2011-06-16 07:02 pm - Felix Schäfer
- Status changed from Open to Closed

Committed in commit:2ceffca3e3e26620969b9f090c1ee89dfa46b9a6, thanks!

2011-06-18 04:51 pm - Artem Naluzhnyy
SQL to fix rc1/rc2 MySQL database (make sure you have a DB backup!): <pre><code class="sql">
UPDATE `journals` j
  INNER JOIN `wiki_content_versions` w
    ON j.journaled_id = w.wiki_content_id AND j.version = w.version
SET j.created_at = w.updated_on
WHERE j.activity_type = 'wiki_edits'
</code></pre>
